classification
Title: PyDict_SetDefault doesn't combine split table when needed
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: inada.naoki Nosy List: inada.naoki, ned.deily, python-dev, serhiy.storchaka, xiang.zhang
Priority: release blocker Keywords: patch

Created on 2016-11-01 18:33 by xiang.zhang, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
PyDict_SetDefault.patch xiang.zhang, 2016-11-02 07:16 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (6)
msg279889 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-11-01 18:33
PyDict_SetDefault doesn't combine split table when needed. This could lead to loss of order or crash. This is a follow up of #28199.
msg279900 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-11-02 07:16
Here is a patch.
msg279902 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2016-11-02 07:59
LGTM
msg279911 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-02 09:23
Besides the patch is a little hard to understanding due to changes that are not directly related to the issue, it LGTM.
msg279914 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2016-11-02 09:32
I'll commit.
msg279915 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-11-02 09:47
New changeset 4e9c7704f373 by INADA Naoki in branch '3.6':
Issue #28583: PyDict_SetDefault didn't combine split table when needed.
https://hg.python.org/cpython/rev/4e9c7704f373

New changeset a6a79053aec4 by INADA Naoki in branch 'default':
Issue #28583: PyDict_SetDefault didn't combine split table when needed.
https://hg.python.org/cpython/rev/a6a79053aec4
History
Date User Action Args
2017-03-31 16:36:10dstufftsetpull_requests: + pull_request859
2016-11-02 09:47:57inada.naokisetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-11-02 09:47:34python-devsetnosy: + python-dev
messages: + msg279915
2016-11-02 09:32:37inada.naokisetassignee: inada.naoki
messages: + msg279914
2016-11-02 09:23:49serhiy.storchakasetmessages: + msg279911
2016-11-02 08:00:02inada.naokisetpriority: normal -> release blocker
nosy: + ned.deily

stage: commit review
2016-11-02 07:59:22inada.naokisetmessages: + msg279902
2016-11-02 07:16:43xiang.zhangsetfiles: + PyDict_SetDefault.patch
keywords: + patch
messages: + msg279900
2016-11-01 18:37:41xiang.zhanglinkissue28199 dependencies
2016-11-01 18:33:44xiang.zhangcreate